#!/bin/bash

set -eu

mkdir -p /app/data/data /app/data/certs /app/data/config

if ! [ -f /app/data/config/config.json ]; then
  cp /app/code/config.json /app/data/config/config.json
fi

echo "Changing ownership"
chown -R cloudron:cloudron /app/data

#chown -R cloudron:cloudron /app/data/certs

echo "Starting minio"
exec /usr/local/bin/gosu cloudron:cloudron /app/code/minio server --config-dir /app/data/config --certs-dir /app/data/certs --address :8000 /app/data/data


